cdac.medinfo.sdk.hl7282.utils

## Class MultiValuedPairedCollection.SortedIterator

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.utils.MultiValuedPairedCollection.SortedIterator

- All Implemented Interfaces:
    ICollectionIterator<T2>, java.util.Iterator<T2>
  Enclosing class:
    MultiValuedPairedCollection<T1,T2>

      public class MultiValuedPairedCollection.SortedIterator
      extends java.lang.Object
      implements ICollectionIterator<T2>

  This inner class works as an Sorted Iterator which helps iterating over the map contained in Message or Group This iterator can be used for the purpose of getting all the elements of the DataSet one by one as it iterates elements in Sorted order. This class is implemented such that the programmer can have any object stored in it he/she wants and having ITag as its key.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiValuedPairedCollection.SortedIterator()` Constructs an SortedIterator over underlying collection

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()` Gives the status whether collection contains more element.
    `T2` | `next()` Gives the next element from collection.
    `void` | `remove()` Removes the element from collection.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiValuedPairedCollection.SortedIterator

          public MultiValuedPairedCollection.SortedIterator()

      Constructs an SortedIterator over underlying collection

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Gives the status whether collection contains more element.
      Specified by:
        `hasNext` in interface `ICollectionIterator<T2>`
      Specified by:
        `hasNext` in interface `java.util.Iterator<T2>`
      Returns:
        boolean - status as success or failure.

    - #### next

          public T2 next()

      Gives the next element from collection.
      Specified by:
        `next` in interface `ICollectionIterator<T2>`
      Specified by:
        `next` in interface `java.util.Iterator<T2>`
      Returns:
        T2 - generic type object.

    - #### remove

          public void remove()

      Removes the element from collection.
      Specified by:
        `remove` in interface `ICollectionIterator<T2>`
      Specified by:
        `remove` in interface `java.util.Iterator<T2>`